<?php
namespace nur\m\pdo\mysql;

use nur\m\IQuery;
use nur\m\IRowIncarnation;
use nur\m\pdo\PdoConn;

class MysqlConn extends PdoConn {
  const HAVE_LAST_INSERT_ID = true;

  function query($sql=null, ?array $filter=null, ?IRowIncarnation $incarnation=null): IQuery {
    return new MysqlQuery($this, $sql, $filter, $incarnation);
  }
}
